Part Line/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "===Základní geometrické tvary=== {| | File:PartLinePrimitivesOptions_it.png | Přímka ====Parametr==== : * {{Parameter|Počáteční bod}} * {{Parameter|Koncový bod}...")
(Updating to match new version of source page)
 
(10 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/cs|Name=Part Line|Name/cs=Díl Přímka|MenuLocation=Part → [[Part_CreatePrimitives/cs|Vytváření zákl.geom.tvarů]] → Přímka|Workbenches=[[Part Module/cs|Díl]], [[OpenSCAD_Module/cs|OpenSCAD]]|SeeAlso=..}}


{{Docnav
|[[Part_Point|Point]]
|[[Part_RegularPolygon|RegularPolygon]]
|[[Part_Workbench|Part]]
|IconL=Part_Point.svg
|IconR=Part_RegularPolygon.svg
|IconC=Workbench_Part.svg
}}


<div class="mw-translate-fuzzy">
===Základní geometrické tvary===
{{GuiCommand/cs|Name=Part Line|Name/cs=Díl Přímka|MenuLocation=Part → [[Part_CreatePrimitives/cs|Vytváření zákl.geom.tvarů]] → Přímka|Workbenches=[[Part_Workbench/cs|Díl]], [[OpenSCAD_Workbench/cs|OpenSCAD]]|SeeAlso=..}}
{|
</div>
| [[File:PartLinePrimitivesOptions_it.png]]
|
Přímka
====Parametr====
:
* {{Parameter|Počáteční bod}}
* {{Parameter|Koncový bod}}
====Umístění====
*
*
|}


===Property===
==Description==
{|
| [[File:PartLineProperty_it.png]]
|
==== View ====
..
==== Data ====
{{KEY|Base}}<br />
* {{ProprietaDati|Label}}:
* {{ProprietaDati|Placement}}: [[Placement|placement]]
{{KEY|Vertex 1 Start}}<br />
* {{ProprietaDati|X1}} :
* {{ProprietaDati|X1}} :
* {{ProprietaDati|X1}} :
{{KEY|Vertex 2 Finish}}<br />
* {{ProprietaDati|X2}} :
* {{ProprietaDati|X2}} :
* {{ProprietaDati|X2}} :
|}
{{clear}}


A [[Image:Part_Line.svg|24px]] '''Part Line''' is a parametric line that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. The coordinates of its start and end point are relative to the coordinate system defined by its {{PropertyData|Placement}} property.
{{clear}}

<languages/>
[[Image:Part_Line_Example.png|400px]]

==Usage==

See [[Part_Primitives#Usage|Part Primitives]].

== Properties ==

See also: [[Property_editor|Property editor]].

A Part Line object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Vertex 1 - Start}}

* {{PropertyData|X1|Distance}}: The X coordinate of the start point of the line. The default is {{Value|0mm}}.
* {{PropertyData|Y1|Distance}}: The Y coordinate of the start point of the line. The default is {{Value|0mm}}.
* {{PropertyData|Z1|Distance}}: The Z coordinate of the start point of the line. The default is {{Value|0mm}}.

{{TitleProperty|Vertex 2 - Finish}}

* {{PropertyData|X2|Distance}}: The X coordinate of the end point of the line. The default is {{Value|10mm}}.
* {{PropertyData|Y2|Distance}}: The Y coordinate of the end point of the line. The default is {{Value|10mm}}.
* {{PropertyData|Z2|Distance}}: The Z coordinate of the end point of the line. The default is {{Value|10mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Line can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
}}

* Where {{Incode|"myLine"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9

doc.recompute()
}}


{{Docnav
|[[Part_Point|Point]]
|[[Part_RegularPolygon|RegularPolygon]]
|[[Part_Workbench|Part]]
|IconL=Part_Point.svg
|IconR=Part_RegularPolygon.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:36, 5 March 2022

Díl Přímka

Umístění Menu
Part → Vytváření zákl.geom.tvarů → Přímka
Pracovní stoly
Díl, OpenSCAD
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
..

Description

A Part Line is a parametric line that can be created with the Part Primitives command. The coordinates of its start and end point are relative to the coordinate system defined by its ÚdajePlacement property.

Usage

See Part Primitives.

Properties

See also: Property editor.

A Part Line object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Vertex 1 - Start

  • ÚdajeX1 (Distance): The X coordinate of the start point of the line. The default is 0mm.
  • ÚdajeY1 (Distance): The Y coordinate of the start point of the line. The default is 0mm.
  • ÚdajeZ1 (Distance): The Z coordinate of the start point of the line. The default is 0mm.

Vertex 2 - Finish

  • ÚdajeX2 (Distance): The X coordinate of the end point of the line. The default is 10mm.
  • ÚdajeY2 (Distance): The Y coordinate of the end point of the line. The default is 10mm.
  • ÚdajeZ2 (Distance): The Z coordinate of the end point of the line. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Line can be created with the addObject() method of the document:

line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
  • Where "myLine" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9

doc.recompute()